
var BUTTON_EVENT = { 

   // Add Source function
   Add_Source: function(Parent_id, Source_id)
   {      
      IR.AddListener(IR.EVENT_ITEM_PRESS,   Source_id, function()     { DEFINE_EVENT(Source_id.Parent, Source_id, 'Press'); });
      IR.AddListener(IR.EVENT_ITEM_RELEASE, Source_id, function()     { DEFINE_EVENT(Source_id.Parent, Source_id, 'Release'); });
   },
   
   // Auto Search Items
   SearchItems: function()
   {
      // Search Items with '*' on all Pages
      for(var j = 0; j < IR.PagesCount; j++)
         for(var i = 0; i < IR.GetPage(j).ItemsCount; i++)
            if( IR.GetPage(j).GetItem(i).Name.match(/\*/))
               BUTTON_EVENT.Add_Source(IR.GetPage(j),IR.GetPage(j).GetItem(i));            

      // Search Items with '*' on all Popups
      for(var j = 0; j < IR.PopupsCount; j++)
         for(var i = 0; i < IR.GetPopup(j).ItemsCount; i++)
            if( IR.GetPopup(j).GetItem(i).Name.match(/\*/))
               BUTTON_EVENT.Add_Source(IR.GetPopup(j),IR.GetPopup(j).GetItem(i)); 
   }      
} 

//обработка нажатий на элементы
function DEFINE_EVENT(page, item, state)
{
   IR.Log(':: BUTTON_EVENT :: '+page.Name+', '+item.Name+', '+state);

   // find popup name and action from item name
   var action = item.Name.split('*');
   
   if(state == 'Press')   {
      switch(action[1]) {
         case 'Show': IR.ShowPopup(action[0].toString()); break;   
         case 'Hide': IR.HidePopup(item.Parent.Name.toString()); break;
      }   
   }

}

IR.AddListener(IR.EVENT_START, 0, BUTTON_EVENT.SearchItems);